### Method

# Gimp Brush set_shape

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_shape (
      GimpBrush* brush,
      GimpBrushGeneratedShape shape_in,
      GimpBrushGeneratedShape* shape_out
    )

#### Description [src]

Sets the shape of a generated brush.

Sets the shape of a generated brush. Returns an error when brush is non-parametric or not editable. The choices for shape are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND).

Available since: 2.4

#### Parameters

`shape_in`

  Type: `GimpBrushGeneratedShape`

  The brush shape.

`shape_out`

  Type: `GimpBrushGeneratedShape`

  The brush shape actually assigned.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.